Bug 5047 - Oops while initializing splash
: Oops while initializing splash
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-smp)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-08-22 19:58 by
Modified: 2005-07-13 15:46 (History)


Attachments
dmesg от 2.6.8-std26-smp-alt9 (15.04 KB, text/plain)
2004-08-22 20:11, Sir Raorn
no flags Details
Моя картинка на splash (12.12 KB, image/jpeg)
2004-08-22 20:13, Sir Raorn
no flags Details
Конфиг для bootsplash... (981 bytes, text/plain)
2004-08-22 20:22, Sir Raorn
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-08-22 19:58:47
Oops при инициализации splash. Картинка сконверчена по рецепту rider@/devel@,
всё работает, но сразу после загрузки мусор в первой консоли и ядерные
сообщения
валятся на консоль.

dmesg:

bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 0 changed to on
Unable to handle kernel paging request at virtual address e20240b0
 printing eip:
c02341b7
*pde = 19195067
Oops: 0000 [#1]
PREEMPT SMP 
Modules linked in: lirc_gpio lirc_dev button processor sd_mod snd_bt87x tuner
tvaudio bttv video_buf i2c_algo_bit v4l2_common btcx_risc videodev emu10k1_gp
gameport snd_emu10k1 snd_rawmidi snd_pcm snd_timer snd_seq_device
snd_ac97_codec
snd_page_alloc snd_util_mem snd_hwdep snd soundcore cfi_cmdset_0002 cfi_util
mtdpart jedec_probe cfi_probe gen_probe ichxrom mtdcore chipreg hw_random
ehci_hcd pciehp pci_hotplug intel_mch_agp tsdev usbhid uhci_hcd usbcore
w83627hf
i2c_sensor i2c_isa i2c_core af_packet ppp_synctty ppp_async crc_ccitt
ppp_generic slhc cls_route cls_u32 cls_fw sch_sfq sch_htb sk98lin iptable_nat
ipt_REJECT ipt_state ip_conntrack iptable_filter iptable_mangle ip_tables
sr_mod
ide_scsi scsi_mod ide_cd cdrom xfs evdev joydev intel_agp agpgart pcspkr rtc
ext3 jbd mbcache
CPU:    1
EIP:    0060:[<c02341b7>]    Not tainted
EFLAGS: 00010202   (2.6.8-hell26-smp-alt9) 
EIP is at splash_renderc+0x143/0x24c
eax: 00000001   ebx: 00000000   ecx: e08f70b0   edx: 00000000
esi: e20240b0   edi: 00000000   ebp: dfd2eaae   esp: da817d64
ds: 007b   es: 007b   ss: 0068
Process splash (pid: 7027, threadinfo=da816000 task=df7cc8d0)
Stack: 000ea870 00000640 00000640 00000010 00000000 ad550000 00000002 00000009 
       00000000 0000ad55 00000001 00000010 c1650220 dfd2eab4 dfd2e800 c02349f8 
       e1f31000 dfd2e800 00000007 00000000 dfd2eaa4 00000258 00000138 00000010 
Call Trace:
 [<c02349f8>] splash_cursor+0x134/0x1dc
 [<c022c72a>] fbcon_cursor+0x3d1/0x416
 [<c01e9a01>] invert_screen+0xf3/0x1bf
 [<c01e74f6>] clear_selection+0x18/0x5d
 [<c01ea011>] hide_cursor+0x2b/0x42
 [<c01ea322>] redraw_screen+0x1ae/0x1f6
 [<c01ea130>] set_origin+0x7a/0xbe
 [<c01eaab1>] vc_resize+0x3ab/0x472
 [<c0231e51>] splash_status+0xfd/0x171
 [<c023210e>] splash_write_proc+0x171/0x45b
 [<c0193edd>] proc_file_write+0x0/0x42
 [<c0193f14>] proc_file_write+0x37/0x42
 [<c015ee83>] vfs_write+0xd0/0x135
 [<c015efb9>] sys_write+0x51/0x80
 [<c0106103>] syscall_call+0x7/0xb
Code: 0f b7 16 83 c6 02 f7 c7 40 00 00 00 74 39 0b 54 24 14 89 11 
 <6>bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found
(800x600, 12406 bytes, v2).
bootsplash: status on console 1 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 2 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 3 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 4 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 5 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 6 changed to on
bootsplash 3.1.4-2004/02/19-spock-0.1: looking for picture.... found (800x600,
12406 bytes, v2).
bootsplash: status on console 7 changed to on
------- Comment #1 From 2004-08-22 20:11:54 -------
Created an attachment (id=567) [details]
dmesg от 2.6.8-std26-smp-alt9
------- Comment #2 From 2004-08-22 20:13:19 -------
Created an attachment (id=568) [details]
Моя картинка на splash
------- Comment #3 From 2004-08-22 20:22:58 -------
Created an attachment (id=569) [details]
Конфиг для bootsplash...
------- Comment #4 From 2004-12-10 12:40:38 -------
Исправлено (не воспроизвелось на 2.6.9-alt11)
------- Comment #5 From 2004-12-12 09:54:22 -------
Не FIXED.

lilo с текстовым меню, картинки в initrd нет, oops ловим при первой
инициализации сплеша.  На всех 2.4 работает.

ksymoops от 2.6.9-std26-smp-alt11:

ksymoops 2.4.9 on i686 2.6.9-std26-smp-alt11.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.6.9-std26-smp-alt11/ (default)
     -m /boot/System.map-2.6.9-std26-smp-alt11 (default)

Warning: You did not tell me where to find symbol information.  I will
assume that the log matches the kernel and modules that are running
right now and I'll use the default options above for symbol resolution.
If the current kernel and/or modules do not match the log, you can get
more accurate output by telling me the kernel version and where to find
map, modules, ksyms etc.  ksymoops -h explains the options.

Error (regular_file): read_ksyms stat /proc/ksyms failed
No modules in ksyms, skipping objects
No ksyms, skipping lsmod
Unable to handle kernel paging request at virtual address e1ff10b0
c01b8347
*pde = 1c790067
Oops: 0000 [#1]
CPU:    0
EIP:    0060:[<c01b8347>]    Not tainted VLI
Using defaults from ksymoops -t elf32-i386 -a i386
EFLAGS: 00010202   (2.6.9-std26-smp-alt11) 
eax: 00000001   ebx: 00000000   ecx: e096e0b0   edx: 00000000
esi: e1ff10b0   edi: 00000000   ebp: dfd84abe   esp: deb99d9c
ds: 007b   es: 007b   ss: 0068
Stack: 000ea870 00000640 00000640 00000002 00000009 00000000 0000ad55 00000001 
       00000240 00000138 00000010 dfd84800 c01b8b78 e1ecc000 dfd84800 00000007 
       00000000 dfd84ab4 00000258 00000138 00000010 00000008 df390210 00000000 
Call Trace:
 [<c01b8b78>] splash_cursor+0x118/0x1b0
 [<c01b06b0>] fbcon_cursor+0x570/0x6d0
 [<c0205d11>] complement_pos+0x11/0x160
 [<c02061bd>] hide_cursor+0x1d/0x40
 [<c020651d>] redraw_screen+0x1ad/0x1f0
 [<c0206c25>] vc_resize+0x385/0x440
 [<c011ec0d>] call_console_drivers+0x5d/0x110
 [<c01b5fb6>] splash_status+0xf6/0x170
 [<c01b622f>] splash_write_proc+0x13f/0x3f0
 [<c0184d7e>] proc_file_write+0x2e/0x40
 [<c01561aa>] vfs_write+0xaa/0xf0
 [<c015629d>] sys_write+0x3d/0x70
 [<c0105e77>] syscall_call+0x7/0xb
Code: 24 54 73 b7 f6 c3 07 75 0c 8a 55 00 45 81 e2 ff 00 00 00 89 d7 89 f8 8b 54
24 18 84 c0 78 17 8b 44 24 1c 8b 54 24 14 85 c0 74 0b <66> 8b 06 89 c2 81 e2 ff
ff 00 00 83 c6 02 f7 c7 40 00 00 00 74 


>>EIP; c01b8347 <splash_renderc+137/260>   <=====

>>ecx; e096e0b0 <pg0+205790b0/3fc09400>
>>esi; e1ff10b0 <pg0+21bfc0b0/3fc09400>
>>ebp; dfd84abe <pg0+1f98fabe/3fc09400>
>>esp; deb99d9c <pg0+1e7a4d9c/3fc09400>

Trace; c01b8b78 <splash_cursor+118/1b0>
Trace; c01b06b0 <fbcon_cursor+570/6d0>
Trace; c0205d11 <complement_pos+11/160>
Trace; c02061bd <hide_cursor+1d/40>
Trace; c020651d <redraw_screen+1ad/1f0>
Trace; c0206c25 <vc_resize+385/440>
Trace; c011ec0d <call_console_drivers+5d/110>
Trace; c01b5fb6 <splash_status+f6/170>
Trace; c01b622f <splash_write_proc+13f/3f0>
Trace; c0184d7e <proc_file_write+2e/40>
Trace; c01561aa <vfs_write+aa/f0>
Trace; c015629d <sys_write+3d/70>
Trace; c0105e77 <syscall_call+7/b>

This architecture has variable length instructions, decoding before eip
is unreliable, take these instructions with a pinch of salt.

Code;  c01b831c <splash_renderc+10c/260>
00000000 <_EIP>:
Code;  c01b831c <splash_renderc+10c/260>
   0:   24 54                     and    $0x54,%al
Code;  c01b831e <splash_renderc+10e/260>
   2:   73 b7                     jae    ffffffbb <_EIP+0xffffffbb>
Code;  c01b8320 <splash_renderc+110/260>
   4:   f6 c3 07                  test   $0x7,%bl
Code;  c01b8323 <splash_renderc+113/260>
   7:   75 0c                     jne    15 <_EIP+0x15>
Code;  c01b8325 <splash_renderc+115/260>
   9:   8a 55 00                  mov    0x0(%ebp),%dl
Code;  c01b8328 <splash_renderc+118/260>
   c:   45                        inc    %ebp
Code;  c01b8329 <splash_renderc+119/260>
   d:   81 e2 ff 00 00 00         and    $0xff,%edx
Code;  c01b832f <splash_renderc+11f/260>
  13:   89 d7                     mov    %edx,%edi
Code;  c01b8331 <splash_renderc+121/260>
  15:   89 f8                     mov    %edi,%eax
Code;  c01b8333 <splash_renderc+123/260>
  17:   8b 54 24 18               mov    0x18(%esp),%edx
Code;  c01b8337 <splash_renderc+127/260>
  1b:   84 c0                     test   %al,%al
Code;  c01b8339 <splash_renderc+129/260>
  1d:   78 17                     js     36 <_EIP+0x36>
Code;  c01b833b <splash_renderc+12b/260>
  1f:   8b 44 24 1c               mov    0x1c(%esp),%eax
Code;  c01b833f <splash_renderc+12f/260>
  23:   8b 54 24 14               mov    0x14(%esp),%edx
Code;  c01b8343 <splash_renderc+133/260>
  27:   85 c0                     test   %eax,%eax
Code;  c01b8345 <splash_renderc+135/260>
  29:   74 0b                     je     36 <_EIP+0x36>

This decode from eip onwards should be reliable

Code;  c01b8347 <splash_renderc+137/260>
00000000 <_EIP>:
Code;  c01b8347 <splash_renderc+137/260>   <=====
   0:   66 8b 06                  mov    (%esi),%ax   <=====
Code;  c01b834a <splash_renderc+13a/260>
   3:   89 c2                     mov    %eax,%edx
Code;  c01b834c <splash_renderc+13c/260>
   5:   81 e2 ff ff 00 00         and    $0xffff,%edx
Code;  c01b8352 <splash_renderc+142/260>
   b:   83 c6 02                  add    $0x2,%esi
Code;  c01b8355 <splash_renderc+145/260>
   e:   f7 c7 40 00 00 00         test   $0x40,%edi
Code;  c01b835b <splash_renderc+14b/260>
  14:   74                        .byte 0x74


1 warning and 1 error issued.  Results may not be reliable.
------- Comment #6 From 2004-12-14 10:25:39 -------
А какое видеорежим ?
------- Comment #7 From 2004-12-14 10:29:09 -------
В lilo.conf:

install=/boot/boot-menu.b
vga=788
------- Comment #8 From 2005-01-22 18:51:19 -------
2.6.10-alt2 - полёт нормальный, можно закрывать.  Новая версия splash патча не
падает.
------- Comment #9 From 2005-01-24 09:52:04 -------
ну тогда закрываем.